## dolphin-plugins 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release service version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "5.240.0")

# ECM setup
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Widgets
    Network
    DBus
    Concurrent
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    I18n
    KIO
    TextWidgets
    Config
    CoreAddons
    Solid
)

find_package(DolphinVcs REQUIRED)
set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin version control plugin library"
    URL "https://commits.kde.org/dolphin"
    TYPE REQUIRED
    PURPOSE "Provides the version control plugin interface."
)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.240
)

ecm_optional_add_subdirectory(svn)
ecm_optional_add_subdirectory(git)
ecm_optional_add_subdirectory(bazaar)
ecm_optional_add_subdirectory(dropbox)
ecm_optional_add_subdirectory(hg)
if(UNIX)
    ecm_optional_add_subdirectory(makefileactions)
endif()
if(UNIX AND NOT APPLE)
    ecm_optional_add_subdirectory(mountiso)
endif()

install(FILES org.kde.dolphin-plugins.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== svn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewsvnplugin\")

kcoreaddons_add_plugin(fileviewsvnplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewsvnplugin PRIVATE
    fileviewsvnplugin.cpp
    svncommands.cpp
    svncommitdialog.cpp
    svnlogdialog.cpp
    svncheckoutdialog.cpp
    svnprogressdialog.cpp
    svncleanupdialog.cpp

    fileviewsvnplugin.h
    svncommands.h
    svncommitdialog.h
    svnlogdialog.h
    svncheckoutdialog.h
    svnprogressdialog.h
    svncleanupdialog.h
)

ki18n_wrap_ui(fileviewsvnplugin
    svnlogdialog.ui
    svncheckoutdialog.ui
    svnprogressdialog.ui
    svncleanupdialog.ui
)

kconfig_add_kcfg_files(fileviewsvnplugin
    fileviewsvnpluginsettings.kcfgc
)

target_link_libraries(fileviewsvnplugin
    Qt6::Core
    Qt6::Widgets
    KF6::ConfigGui
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    DolphinVcs
)

install(FILES fileviewsvnpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
dolphin-plugins (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:31 +0000

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libdolphinvcs-dev (>= 4:25.08.3~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6texteditor-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin_plugins
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin (>= 24.05.2~), ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 Miscellaneous plugins:
 .
  * Mount ISO
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "5.240.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF_MIN_VERSION "6.0.0")
 
 # ECM setup
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
dolphin-plugins (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:53 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.08.3~),
+               libdolphinvcs-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
dolphin-plugins (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:24 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.11.80~),
+               libdolphinvcs-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
dolphin-plugins (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.11.90~),
+               libdolphinvcs-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.12.0+p24.04+vstable+git20251208.2254

=== debian/changelog ===
dolphin-plugins (4:25.12.0+p24.04+vstable+git20251208.2254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:54:06 +0000

dolphin-plugins (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:35 +1000

dolphin-plugins (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:08 +1000

## dolphin-plugins 25.12.0+p24.04+vstable+git20251211.0104

=== debian/changelog ===
dolphin-plugins (4:25.12.0+p24.04+vstable+git20251211.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:04:09 +0000

## dolphin-plugins 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
dolphin-plugins (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:35:29 +0000

dolphin-plugins (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 13:41:39 +0000

dolphin-plugins (4:25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 10:58:07 +0100

dolphin-plugins (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,23 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.12.0~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6solid-dev (>= 5.240.0~),
+               libdolphinvcs-dev (>= 4:25.12.1~),
+               libkf6config-dev (>= 6.0.0~),
+               libkf6coreaddons-dev (>= 6.0.0~),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6kio-dev (>= 6.0.0~),
+               libkf6solid-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 5.240.0~),
-               libkf6textwidgets-dev (>= 5.240.0~),
-               libkf6xmlgui-dev (>= 5.240.0~),
-               qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+               libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6xmlgui-dev (>= 6.0.0~),
+               qt6-base-dev (>= 6.7.0~),
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins

## dolphin-plugins 25.12.1+p24.04+vstable+git20260119.0519

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vstable+git20260119.0519-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 05:19:20 +0000

dolphin-plugins (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:30 +1000

## dolphin-plugins 25.12.1+p24.04+vstable+git20260122.0942

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vstable+git20260122.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:42:27 +0000

## dolphin-plugins 25.12.1+p24.04+vstable+git20260129.0211

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vstable+git20260129.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:11:13 +0000

## dolphin-plugins 25.12.1+p24.04+vstable+git20260130.1118

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vstable+git20260130.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:18:27 +0000

## dolphin-plugins 25.12.1+p24.04+vunstable+git20260128.1028

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vunstable+git20260128.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 10:28:27 +0000

## dolphin-plugins 25.12.1+p24.04+vunstable+git20260130.1241

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
dolphin-plugins (4:25.12.1+p24.04+vunstable+git20260130.1241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:41:28 +0000

## dolphin-plugins 25.12.2

=== debian/changelog ===
dolphin-plugins (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.12.1~),
+               libdolphinvcs-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
